# \nre\exceptionsComponentNotFoundException

Exception: Component not found.

## Summary

Methods
Properties
Constants
__construct()
getClassName()
getComponentName()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$className
N/A

File
  exceptions/ComponentNotFoundException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \nre\exceptions\ClassNotFoundException
  \nre\exceptions\ComponentNotFoundException

## Tags

author | coderkun olli@coderkun.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $className

    $className : string

Name of the class that was not found

#### Type

string

#

Inherited from
  \nre\exceptions\ClassNotFoundException

## Tags

None found

## Methods

### __construct()

    __construct(string  $componentName)

Construct a new exception.

#### Parameters

string | $componentName | Name of the Component that was not found

#

## Tags

None found

### getClassName()

    getClassName() : string

Get the name of the class that was not found.

#### Returns

string —

Name of the class that was not found

#

Inherited from
  \nre\exceptions\ClassNotFoundException

## Tags

None found

### getComponentName()

    getComponentName() : string

Get the name of the Component that was not found.

#### Returns

string —

Name of the Component that was not found

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### ComponentNotFoundException.inc